UbixOS V2 2.0

Data Fields
sys_setUID_args Struct Reference

`#include <sysproto_posix.h>`

Collaboration diagram for sys_setUID_args:

## Data Fields
uint32_t | uid
int | uid
char | uid_l_ [0]
char | uid_r_ [(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

## Detailed Description

Definition at line 142 of file sysproto_posix.h.

## Field Documentation

## ◆ uid [1/2]

uint32_t sys_setUID_args::uid

Definition at line 35 of file access.h.

## ◆ uid [2/2]

int sys_setUID_args::uid

Definition at line 144 of file sysproto_posix.h.

Referenced by sys_setUID().

## ◆ uid_l_

char sys_setUID_args::uid_l_[0]

Definition at line 143 of file sysproto_posix.h.

## ◆ uid_r_

char sys_setUID_args::uid_r_[(sizeof(register_t)<=sizeof(int) ? 0 :sizeof(register_t) - sizeof(int))]

Definition at line 145 of file sysproto_posix.h.

The documentation for this struct was generated from the following files:

- C:/Dev/git/UbixOS/sys/include/sys/sysproto_posix.h
- C:/Dev/git/UbixOS/sys/include/ubixos/access.h